<?php

$Permissoes = User::getUser(true);

if ($Permissoes->FUN_TBL_PROJETOS == 1) {

    class VersoesProjetosController extends GxController {

        var $help = 'Esta é a ajuda';

        public function actionView($id) {
            $this->render('view', array(
                'model' => $this->loadModel($id, 'VersoesProjetos'),
            ));
        }

        public function actionCreate() {
            $model = new VersoesProjetos;


            if (isset($_POST['VersoesProjetos'])) {
                $model->setAttributes($_POST['VersoesProjetos']);

                if ($model->save()) {
                    if (Yii::app()->getRequest()->getIsAjaxRequest())
                        Yii::app()->end();
                    else
                        $this->redirect(array('view', 'id' => $model->FRP_CODIGO));
                }
            }

            $this->render('create', array('model' => $model));
        }

        public function actionUpdate($id) {
            $model = $this->loadModel($id, 'VersoesProjetos');


            if (isset($_POST['VersoesProjetos'])) {
                $model->setAttributes($_POST['VersoesProjetos']);

                if ($model->save()) {
                    $this->redirect(array('view', 'id' => $model->VRP_CODIGO));
                }
            }

            $this->render('update', array(
                'model' => $model,
            ));
        }

        public function actionDelete($id) {
            if (Yii::app()->getRequest()->getIsPostRequest()) {
                $this->loadModel($id, 'VersoesProjetos')->delete();

                if (!Yii::app()->getRequest()->getIsAjaxRequest())
                    $this->redirect(array('admin'));
            } else
                throw new CHttpException(400, 'Sua solicitação é inválida.');
        }

        public function actionAdmin() {
            $model = new VersoesProjetos('search');
            $model->unsetAttributes();

            if (isset($_GET['VersoesProjetos']))
                $model->setAttributes($_GET['VersoesProjetos']);

            $this->render('admin', array(
                'model' => $model,
            ));
        }

    }

}